org.apache.http.client.fluent

## Class Content

- java.lang.Object
- - org.apache.http.client.fluent.Content

    public class Content
    extends Object

This class represents arbitrary content of a specific type that can be consumed multiple times and requires no explicit deallocation.

### Field Summary

Fields
`static Content` `NO_CONTENT`

### Constructor Summary

Constructors
Constructor and Description
`Content(byte[] raw, org.apache.http.entity.ContentType type)`

### Method Summary

Methods
`byte[]` `asBytes()`
`InputStream` `asStream()`
`String` `asString()`
`String` `asString(Charset charset)`
`org.apache.http.entity.ContentType` `getType()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NO_CONTENT

    public static final Content NO_CONTENT

### Constructor Detail

#### Content

    public Content(byte[] raw,
           org.apache.http.entity.ContentType type)

### Method Detail

#### getType

    public org.apache.http.entity.ContentType getType()

#### asBytes

    public byte[] asBytes()

#### asString

    public String asString()

#### asString

    public String asString(Charset charset)

Since:
  4.4

#### asStream

    public InputStream asStream()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`